<?

sapp_include_once('common.php');

$nuke_dbname = sapp_get_param('nuke_dbname');
if (empty($nuke_dbname)) {
	$nuke_dbname = sapp_get_new_db_name('mysql');
}
$nuke_dbuser = sapp_get_param('nuke_dbuser');
if (empty($nuke_dbuser)) {
	$nuke_dbuser = sapp_get_new_db_user($nuke_dbuser, 'mysql');
}


?>

<fieldset>
	<legend><?=msg('administrator_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('nuke_admin_login') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-nuke_admin_login"><?=msg('nuke_admin_login')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="nuke_admin_login" id="fid-nuke_admin_login" value="<?=htmlspecialchars(sapp_get_param('nuke_admin_login'))?>">
		<span class="hint"><?=sapp_is_wrong('nuke_admin_login') ? sapp_get_wrong('nuke_admin_login') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('nuke_admin_email') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-nuke_admin_email"><?=msg('nuke_admin_email')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="nuke_admin_email" id="fid-nuke_admin_email" value="<?=htmlspecialchars(sapp_get_param('nuke_admin_email'))?>">
		<span class="hint"><?=sapp_is_wrong('nuke_admin_email') ? sapp_get_wrong('nuke_admin_email') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('nuke_admin_passwd') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-nuke_admin_passwd"><?=msg('nuke_admin_passwd')?>&nbsp;<?=sapp_get_param('nuke_admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="nuke_admin_passwd" id="fid-nuke_admin_passwd" value="">
		<span class="hint"><?=sapp_is_wrong('nuke_admin_passwd') ? sapp_get_wrong('nuke_admin_passwd') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('nuke_admin_confirm') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-nuke_admin_confirm"><?=msg('nuke_admin_confirm')?>&nbsp;<?=sapp_get_param('nuke_admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="nuke_admin_confirm" id="fid-nuke_admin_confirm" value="">
		<span class="hint"><?=sapp_is_wrong('nuke_admin_confirm') ? sapp_get_wrong('nuke_admin_confirm') : ''?></span>
	</td>
</tr>
</table>

</fieldset>
