<?
sapp_include_once('common.php');

function form_handler()
{
	$valid = true;

	$nuke_admin_login = sapp_get_submit_value('nuke_admin_login');
	if (!check_sys_login($nuke_admin_login)) {
		sapp_set_wrong('nuke_admin_login', msg('invalid_value'));
		$valid = false;
	}
	
	sapp_set_param('nuke_admin_login', $nuke_admin_login);
	
	//check admin email
	$nuke_admin_email = sapp_get_submit_value('nuke_admin_email');
	if (!check_email($nuke_admin_email)) {
		sapp_set_wrong('nuke_admin_email', msg('invalid_value'));
		$valid = false;
	}
	
	sapp_set_param('nuke_admin_email', $nuke_admin_email);

	//check admin password
	$nuke_admin_passwd = sapp_get_submit_value('nuke_admin_passwd');
	$nuke_admin_confirm = sapp_get_submit_value('nuke_admin_confirm');
	if ('' == $nuke_admin_passwd) {
		if (!sapp_get_param('nuke_admin_passwd')) {
			sapp_set_wrong('nuke_admin_passwd', msg('password__empty'));
			$valid = false;
		} else {
			$nuke_admin_passwd = sapp_get_param('nuke_admin_passwd');
		}
	} elseif ($nuke_admin_passwd != $nuke_admin_confirm) {
		sapp_set_wrong('nuke_admin_passwd', msg('password__not_match'));
		$valid = false;
	} else {
		sapp_set_param('nuke_admin_passwd', md5($nuke_admin_passwd));
	}
	
	if (!$valid) {
		sapp_set_warning(msg('invalid_values'));
		return 1;
	}

	return 2;
}
?>
